package cn.com.tenlion.configcontent.service.contentlike;

import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;
import cn.com.tenlion.configcontent.pojo.dtos.contentlike.ContentLikeDTO;
import cn.com.tenlion.configcontent.pojo.vos.contentlike.ContentLikeVO;
import cn.com.tenlion.configcontent.pojo.bos.contentlike.ContentLikeBO;
import cn.com.tenlion.configcontent.pojo.pos.contentlike.ContentLikePO;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: IContentLikeService
 * @Description: CBC内容管理点赞记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:39:38
 * @Version: 3.0
 **/
public interface IContentLikeService {

    /**
     * 新增CBC内容管理点赞记录表
     *
     * @param contentLikeVO
     * @return
     */
    void save(ContentLikeVO contentLikeVO);

    /**
     * 新增CBC内容管理点赞记录表
     *
     * @param token
     * @param contentLikeVO
     * @return
     */
    void save(String token, ContentLikeVO contentLikeVO);

    /**
     * 新增CBC内容管理点赞记录表
     *
     * @param contentLikeVO
     * @return contentLikeId
     */
    String saveReturnId(ContentLikeVO contentLikeVO);

    /**
     * 新增CBC内容管理点赞记录表
     *
     * @param token
     * @param contentLikeVO
     * @return contentLikeId
     */
    String saveReturnId(String token, ContentLikeVO contentLikeVO);

    /**
     * 删除CBC内容管理点赞记录表
     *
     * @param ids id列表
     * @return
     */
    void remove(List<String> ids);


    /**
     * 删除CBC内容管理点赞记录表
     *
     * @param token
     * @param ids id列表
     * @return
     */
    void remove(String token, List<String> ids);

    /**
     * 删除CBC内容管理点赞记录表（物理删除）
     *
     * @param contentLikeId id列表
     */
    void delete(String contentLikeId);

    /**
     * 修改CBC内容管理点赞记录表
     *
     * @param contentLikeId
     * @param contentLikeVO
     * @return
     */
    void update(String contentLikeId, ContentLikeVO contentLikeVO);

    /**
     * 修改CBC内容管理点赞记录表
     *
     * @param token
     * @param contentLikeId
     * @param contentLikeVO
     * @return
     */
    void update(String token, String contentLikeId, ContentLikeVO contentLikeVO);

    /**
     * CBC内容管理点赞记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentLikeDTO get(Map<String, Object> params);

    /**
     * CBC内容管理点赞记录表详情
     *
     * @param contentLikeId
     * @return
     */
    ContentLikeDTO get(String contentLikeId);

    /**
     * CBC内容管理点赞记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentLikeBO getBO(Map<String, Object> params);

    /**
     * CBC内容管理点赞记录表详情
     *
     * @param contentLikeId
     * @return
     */
    ContentLikeBO getBO(String contentLikeId);

    /**
     * CBC内容管理点赞记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentLikePO getPO(Map<String, Object> params);

    /**
     * CBC内容管理点赞记录表详情
     *
     * @param contentLikeId
     * @return
     */
    ContentLikePO getPO(String contentLikeId);

    /**
     * CBC内容管理点赞记录表列表
     *
     * @param params
     * @return
     */
    List<ContentLikeDTO> list(Map<String, Object> params);

    /**
     * CBC内容管理点赞记录表列表
     *
     * @param params
     * @return
     */
    List<ContentLikeBO> listBO(Map<String, Object> params);

    /**
     * CBC内容管理点赞记录表列表
     *
     * @param params
     * @return
     */
    List<ContentLikePO> listPO(Map<String, Object> params);

    /**
     * CBC内容管理点赞记录表分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<ContentLikeDTO>> listPage(ListPage page);

    /**
     * CBC内容管理点赞记录表统计
     *
     * @param params
     * @return
     */
    Integer count(Map<String, Object> params);

}